# Generated by rust2rpm 18
%bcond_without check
%global debug_package %{nil}

%global crate dirs

Name:           rust-%{crate}
Version:        4.0.0
Release:        %mkrel 1
Summary:        Platform abstractions for common directories
Group:          Development/Other

# Upstream license specification: MIT OR Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/dirs
Source:         %{crates_source}

ExclusiveArch:  %{rust_arches}
BuildArch:      noarch

BuildRequires:  rust-packaging
BuildRequires:  crate(dirs-sys/default) >= 0.3.6

%global _description %{expand:
Tiny low-level library that provides platform-specific standard locations of
directories for config, cache and other data on Linux, Windows, macOS and Redox
by leveraging the mechanisms defined by the XDG base/user directory
specifications on Linux, the Known Folder API on Windows, and the Standard
Directory guidelines on macOS.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE-APACHE LICENSE-MIT
%doc README.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif


%changelog
* Sat Jun 25 2022 guillomovitch <guillomovitch> 4.0.0-1.mga9
+ Revision: 1866205
- imported package rust-dirs

